Package org.apache.groovy.ast.tools

# Class ConstructorNodeUtils

java.lang.Object
org.apache.groovy.ast.tools.ConstructorNodeUtils

public class ConstructorNodeUtils extends Object
Utility class for working with ConstructorNodes

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Statement`
  `checkPropNamesS(VariableExpression namedArgs, boolean pojo, List<PropertyNode> props)`
  `static ConstructorCallExpression`
  `getFirstIfSpecialConstructorCall(Statement code)`
  Return the first statement from the constructor code if it is a call to super or this, otherwise null.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getFirstIfSpecialConstructorCall

    public static ConstructorCallExpression getFirstIfSpecialConstructorCall(Statement code)
    Return the first statement from the constructor code if it is a call to super or this, otherwise null.
    Parameters:
      `code` - the code to check
    Returns:
      the first statement if a special call or null

  - ### checkPropNamesS

    public static Statement checkPropNamesS(VariableExpression namedArgs, boolean pojo, List<PropertyNode> props)